include ../../components/fieldErrors.pug
include ../../components/editar/tabelaPessoaRelacionamento.pug
include ../../components/editar/pessoaVinculacao.pug
include ../../components/visualizar/pessoaFisica.pug
include ../../components/visualizar/pessoaJuridica.pug
include modalDesvincular.pug
include ../../components/visualizar/modalVisualizacaoPessoa

h1.page-header(ng-if="verificarPermissao(AcaoSistema.EDITAR_EMPREENDIMENTO)") {{tituloPagina}}

form(name="form", novalidate)

	div(ng-if="verificarPermissao(AcaoSistema.EDITAR_EMPREENDIMENTO)")

		.card

			h3 Pessoa física / Pessoa jurídica

			div(ng-hide='empreendimento.pessoa')
				+pessoaVinculacao('pfPj', 'true')

			div(ng-show='empreendimento.pessoa')
				.md-chips
					.md-chip
						span(ng-if="empreendimento.pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA")
							| {{empreendimento.pessoa.cpf | cpfCnpj}} - {{empreendimento.pessoa.nome}}
						span(ng-if="empreendimento.pessoa.tipo.codigo === constantes.CODIGO_PESSOA_JURIDICA")
							| {{empreendimento.pessoa.cnpj | cpfCnpj}} - {{empreendimento.pessoa.razaoSocial}}
						button.md-chip-remove(ng-if='!isEdicao', type='button', ng-click='empreendimento.pessoa = null')

		.card

			h3 Empreendimento

			div
				div.form-group

					label(for='razaoSocial') Denominação:
					div
						input.form-control(type='text', name='denominacao', ng-model='empreendimento.denominacao', required, maxlength="200")
						+fieldErrors(field="denominacao", errors=["required"])

			div(ng-if='empreendimento.pessoa.tipo.codigo == constantes.CODIGO_PESSOA_JURIDICA')

				+pessoaJuridica('empreendimento.pessoa')

			div(ng-if='empreendimento.pessoa.tipo.codigo == constantes.CODIGO_PESSOA_FISICA')

				+pessoaFisica('empreendimento.pessoa')


		.card

			h3 Contatos

			contatos(form="form", ng-model="empreendimento.contatos", tipos-contato-pessoa="tiposContatoPessoa")

		.card

			h3 Endereço principal

			endereco(form="form", name="principal", ng-model="enderecoPrincipal", zonas-localizacao="zonasLocalizacao", change-zona="changeZona")

			.checkbox(ng-if="enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_URBANA")
				label
					input(id='correspondencia', type='checkbox', name='correspondencia', ng-model='enderecoCorrespondencia.usarOutro', ng-change="ajustarEnderecoCorrespondencia()", ng-disabled="enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_RURAL")
					span.checkbox-material
						span.check
					|	Informar outro endereço para correspondência

		.card(ng-if="enderecoCorrespondencia.usarOutro || enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_RURAL")

			h3 Endereço de correspondência

			endereco(form="form", name="correspondencia", ng-model="enderecoCorrespondencia", exibir-caixa-postal='true')

	.card

		h3 Localização

		div.panel-collapse.collapse.in(id="localizacao")

			.no-padding

				#mapa

	div(ng-if="verificarPermissao(AcaoSistema.EDITAR_EMPREENDIMENTO)")

		div

			//- PESSOAS RELACIONADAS AO EMPREENDIMENTO
			.card

				h3 Proprietários

				+pessoaVinculacao('proprietarios', 'true')

				center(ng-hide='empreendimento.proprietarios.length > 0')
					span Nenhum proprietário vinculado ao empreendimento

				div(ng-show='empreendimento.proprietarios.length > 0')
					+tabelaPessoaRelacionamento('empreendimento.proprietarios', 'true')

			.card

				h3 Representantes legais

				+pessoaVinculacao('representantesLegais', 'false')

				center(ng-hide='empreendimento.representantesLegais.length > 0')
					span Nenhum representante legal vinculado ao empreendimento

				div(ng-show='empreendimento.representantesLegais.length > 0')
					+tabelaPessoaRelacionamento('empreendimento.representantesLegais')

			.card

				h3 Responsáveis legais

				+pessoaVinculacao('responsaveisLegais', 'false')

				center(ng-hide='empreendimento.responsaveisLegais.length > 0')
					span Nenhum responsável legal vinculado ao empreendimento

				div(ng-show='empreendimento.responsaveisLegais.length > 0')
					+tabelaPessoaRelacionamento('empreendimento.responsaveisLegais')

			.card

				h3 Responsáveis técnicos

				+pessoaVinculacao('responsaveisTecnicos', 'true')

				center(ng-hide='empreendimento.responsaveisTecnicos.length > 0')
					span Nenhum responsável técnico vinculado ao empreendimento

				div(ng-show='empreendimento.responsaveisTecnicos.length > 0')
					+tabelaPessoaRelacionamento('empreendimento.responsaveisTecnicos', 'true')

		button.btn.btn-default.btn-raised(type='button', ng-click='voltar()', tabindex='-1') Cancelar

		button.btn.btn-primary.btn-raised.pull-right(type='submit', ng-click='salvar()')
			i.material-icons save
			|	Salvar